package com.goafanti.user.bo;

import javax.validation.constraints.Size;

import com.goafanti.common.constant.ErrorConstants;

public class InputUserAbility {
	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	id;

	@Size(min = 0, max = 36, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	uid;

	@Size(min = 0, max = 255, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	abilityLabel;

	@Size(min = 0, max = 400, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	intellectRight;

	@Size(min = 0, max = 400, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	scienceAchievement;

	@Size(min = 0, max = 400, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	researchInnovation;

	@Size(min = 0, max = 400, message = "{" + ErrorConstants.PARAM_SIZE_ERROR + "}")
	private String	personnel;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public String getAbilityLabel() {
		return abilityLabel;
	}

	public void setAbilityLabel(String abilityLabel) {
		this.abilityLabel = abilityLabel;
	}

	public String getIntellectRight() {
		return intellectRight;
	}

	public void setIntellectRight(String intellectRight) {
		this.intellectRight = intellectRight;
	}

	public String getScienceAchievement() {
		return scienceAchievement;
	}

	public void setScienceAchievement(String scienceAchievement) {
		this.scienceAchievement = scienceAchievement;
	}

	public String getResearchInnovation() {
		return researchInnovation;
	}

	public void setResearchInnovation(String researchInnovation) {
		this.researchInnovation = researchInnovation;
	}

	public String getPersonnel() {
		return personnel;
	}

	public void setPersonnel(String personnel) {
		this.personnel = personnel;
	}

}
